%define name xmms-mad
%define version 0.10
%define release %mkrel 7

Summary: XMMS MPEG audio input plugin based on MAD
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xmms-mad/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Sound
URL:   http://xmms-mad.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: libxmms-devel 
BuildRequires: mad-devel >= 0.14.2b-4mdk
BuildRequires: libid3tag-devel

%description
xmms-mad is an input plugin for xmms (http://www.xmms.org/) that uses
libmad (http://mad.sourceforge.net/) to decode MPEG layer 1/2/3 file
and streams.

Current features include:
 * local mp3 file playback
 * shoutchast/icecast stream playback
 * ID3 tag parsing
 * play time calculation (slow)
 * http header parsing

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib %buildroot%_libdir
%endif
rm -f %buildroot%{_libdir}/xmms/Input/libxmmsmad.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/xmms/Input/libxmmsmad.so




%changelog
* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.10-7mdv2010.0
+ Revision: 408666
- update license

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-6mdv2009.0
+ Revision: 262567
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-5mdv2009.0
+ Revision: 257372
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.10-3mdv2008.1
+ Revision: 130382
- kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.10-3mdv2007.0
+ Revision: 113187
- Import xmms-mad

* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.10-3mdv2007.1
- Rebuild

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2007.0
- Rebuild

* Thu Jan 12 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdk
- drop patch
- New release 0.10

* Thu Jan 05 2006 Gtz Waschk <waschk@mandriva.org> 0.9-1mdk
- fix build
- New release 0.9
- use mkrel

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.8-2mdk
- fix for x86_64

* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- New release 0.8

* Sun Oct 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- New release 0.7

* Wed Jul 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- reenable libtoolize
- New release 0.6

* Mon May 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.7-1mdk
- add source url
- New release 0.5.7

